文档API 参考

Rust · 0.1.0

List Memo Attachments

GET /api/v1/memos/{memo}/attachments

MemoService · MemoService_ListMemoAttachments

基于协议生成的参考。授权与实例策略仍然生效。结构描述继承自 MIT 许可的应用接口定义;本站不会向真实服务执行示例。

访问权限

调用者必须有权读取资源。匿名访问取决于实例公开策略和笔记可见性。未关联附件需要其所有者或实例管理员权限。知道资源名不等于获得访问权限。

声明的分页没有生效

当前 Rust 实现返回该笔记完整的可读集合,并将 nextPageToken 留空。协议声明了 pageSize 与 pageToken,但此接口没有据此切分结果。

请求

ListMemoAttachments lists attachments for a memo.

GET/api/v1/memos/{memo}/attachments

参数

名称 / 位置类型 / 是否必需描述
memo
path
string
必需
The memo id.
pageSize
query
integer (int32)
OpenAPI 未标记为必需
Optional. The maximum number of attachments to return.
pageToken
query
string
OpenAPI 未标记为必需
Optional. A page token for pagination.

请求体

未声明请求体。

响应

200 · OK

application/json · ListMemoAttachmentsResponse

default · Default error response

application/json · Status

完整操作定义

下方保留全部已声明约束、媒体类型和响应细节。结构引用链接到完整定义。

展开 JSON 定义
{
  "tags": [
    "MemoService"
  ],
  "description": "ListMemoAttachments lists attachments for a memo.",
  "operationId": "MemoService_ListMemoAttachments",
  "parameters": [
    {
      "name": "memo",
      "in": "path",
      "description": "The memo id.",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "pageSize",
      "in": "query",
      "description": "Optional. The maximum number of attachments to return.",
      "schema": {
        "type": "integer",
        "format": "int32"
      }
    },
    {
      "name": "pageToken",
      "in": "query",
      "description": "Optional. A page token for pagination.",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ListMemoAttachmentsResponse"
          }
        }
      }
    },
    "default": {
      "description": "Default error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Status"
          }
        }
      }
    }
  }
}